Subject: Re: [PATCH] Allow commit (and tag) messages to be edited when $EDITOR has arguments

From: Thomas Harning <[email-masked]>
Date: Sat, 15 Dec 2007 20:41:53 -0500

Steven Grimm wrote:
> Users who do EDITOR="/usr/bin/emacs -nw" or similar were left unable to
> edit commit messages once commit became a builtin, because the editor
> launch code assumed that $EDITOR was a single pathname.
>   
I see one problem with this code...  If you use quotes (single or 
double) then this will break it.  I suppose this isn't a major issue 
usually, but if not fixed should be documented.  One case that jumps out 
of my head is an executable path with spaces (quite stupid-and-ugly, but 
possible).